Bug 175644 - (Still) generates code that GCC4 won't compile
(Still) generates code that GCC4 won't compile
Product: Fedora
Classification: Fedora
Component: Pyrex (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2005-12-13 12:25 EST by Shahms E. King
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: Pyrex-0.9.4-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-29 20:51:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch fixing the GCC4 compile errors (1.58 KB, patch)
2005-12-13 12:27 EST, Shahms E. King
no flags Details | Diff

  None (edit)
Description Shahms E. King 2005-12-13 12:25:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051202 Fedora/1.5-0.2 Firefox/1.5

Description of problem:
The version of Pyrex in FC4 (and rawhide) has a patch to make it emit code compatible with GCC4.  However, this patch is incomplete and compiling lxml fails with "invalid lvalue in assignment" errors.  The lxml website has a small patch that fixes the problem.

Version-Release number of selected component (if applicable):
gcc-4.0.2-8.fc4 Pyrex-0.9.3-2 and Pyrex-

How reproducible:

Steps to Reproduce:
1. Download lxml
2. Try to build it on FC4/Rawhide
3. Watch as GCC4 dies with illegal lvalue errors on the etree.c generated file.

Additional info:

There is a patch for this problem at http://codespeak.net/lxml/Pyrex-0.9.3-gcc4-small.patch
Comment 1 Shahms E. King 2005-12-13 12:27:02 EST
Created attachment 122187 [details]
Patch fixing the GCC4 compile errors
Comment 2 Laurie Bradshaw 2006-01-08 12:47:19 EST
Also having illegal lvalue problems with the same versions of gcc & Pyrex, 
while trying to build Soya 3D, Lenard Lindstrom's patches on the Pyrex 
homepage seem to solve these problems. 
Comment 3 Hans de Goede 2006-03-19 06:26:27 EST
I'm trying to help a new FE contributer (an old acquantance of mine) to get
Soya3D build and he is hitting these problems too, since there os a patch
available please fix this.


Laurie, I see you're trying to build Soya3D to, also for FE? And did you hit 64
bit problems in the ode/OPCODES part? I've just completed writing a patch for
the 64 bit issues in the ode/OPCODES part drop me a mail then we can coordinate
our efforts.
Comment 4 Shahms E. King 2006-04-18 11:32:47 EDT
Pyrex 0.9.4 is out which fixes these problems, any chance an update can be
pushed in the not-to-distant future?
Comment 5 Matthew Barnes 2006-10-25 00:00:31 EDT
Fedora Core 6 now provides Pyrex 0.9.4.

Can someone please verify that these problems are fixed in the current version?
Comment 6 Matthew Barnes 2006-10-29 20:51:31 EST
lxml compiles fine for me with Pyrex 0.9.4, so I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.